Job API
Routers
Section titled “Routers”job_run_router→ prefix/api/resource/JobRun(tags: JobRun)job_resource_router→ prefix/api/resource/Job(tags: Job)router→ prefix(no prefix)method_router→ prefix/api/method
Hand-maintained notes against modules/job/router.go. Route inventory (generated): routes.md. Response models (generated): response-models/job.md.
Router job_run_router
Section titled “Router job_run_router”| Method | Path | Permission |
|---|---|---|
GET | /api/resource/JobRun | — |
GET | /api/resource/JobRun/{name} | — |
GET /api/resource/JobRun
Section titled “GET /api/resource/JobRun”- source:
modules/job/router.go
GET /api/resource/JobRun/{name}
Section titled “GET /api/resource/JobRun/{name}”- source:
modules/job/router.go
Router job_resource_router
Section titled “Router job_resource_router”| Method | Path | Permission |
|---|---|---|
GET | /api/resource/Job/{job_name} | — |
GET /api/resource/Job/{job_name}
Section titled “GET /api/resource/Job/{job_name}”- source:
modules/job/router.go
Router method_router
Section titled “Router method_router”| Method | Path | Permission |
|---|---|---|
GET | /api/method/shc.job.get | — |
GET | /api/method/shc.job.list | — |
POST | /api/method/shc.job.run | — |
GET /api/method/shc.job.get
Section titled “GET /api/method/shc.job.get”- source:
modules/job/router.go
GET /api/method/shc.job.list
Section titled “GET /api/method/shc.job.list”- source:
modules/job/router.go
POST /api/method/shc.job.run
Section titled “POST /api/method/shc.job.run”- source:
modules/job/router.go
shc@docs:~$